Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

This will update all the server packages to 3.1, while your Manager instance is still at 3.0. So, now just upgrade it as explained in Updating flexVDI software, and you are done!

At this point, your flexVDI 3.1 platform should be up and running again. However, the old flexVDI Dashboard 3.0 is not compatible with flexVDI Manager 3.1 anymore. Point a modern web browser to the Manager's IP address to access the new web-based Dashboard.

Enjoy your new flexVDI 3.1 platform!!

...

  1. In your hosts, uninstall all flexVDI related packages. The OCFS2 kmod package may refuse to uninstall, this is acceptable.

    No Format
    # rpm -qa | grep flexvdi | xargs yum remove -y


  2. Stop the flexVDI Manager instance, from the host that is currently running it.

    No Format
    # virsh destroy flexVDI_Manager


  3. Remove the flexVDI 3.1 yum repository file and clean the yum metadata.

    No Format
    # rm -f /etc/yum.repos.d/flexvdi-3.1.repo
    # yum clean metadata


  4. Run the flexVDI 3.0 installer on all your hosts. You may need to downgrade the kernel if you upgraded it to a version that is not supported by flexVDI 3.0.
  5. Run flexvdi-config and:
    1. Go to Manager → Install, and follow the steps to install the latest version of flexVDI Manager 3.0.
    2. Go to Manager → Password and change the Manager default password.
    3. DO NOT perform any other step yet: Register, Move, etc...
  6. Restore your Manager backup: Go to Manager → Restore and follow the instructions.
  7. In all your hosts, start the flexvdi-agent service.

    No Format
    # systemctl start flexvdi-agent

At this point, your flexVDI 3.0 platform should be up and running again. However, the old flexVDI Dashboard 3.0 is not compatible with flexVDI Manager 3.1 anymore. Point a modern web browser to the Manager's IP address to access the new web-based Dashboard.


Contact our support group to get additional help on your problems upgrading to flexVDI 3.1.